#include <iostream>
#include <stdio.h>

using namespace std;

int main()
{
    int n,s=0,r,c;
    cin>>n;
    int riz[n]={0};
    int ciz[n]={0};
    for(int i=0;i<n;i++)
    {
        scanf("%d%d",&r,&c);
        riz[r-1]++;
        ciz[c-1]++;
    }
    for(int a=0;a<n;a++)
    {
        if(riz[a]==0)s++;
        if(ciz[a]==0)s++;
    }
    cout<<s;
    return 0;
}